import dateParse from '@/utils/tool/date';
export default {

    methods:{

        fetch(obj){
            return this.$request({
                url:'user/getMoneyLog',
                token:true,
                page:obj
            }).then((data)=>{
                return obj.success((data.data||[]).map((item)=>{
                    item.createtime = dateParse(item.createtime,'YYYY-MM-DD hh:mm');
                    return item;
                }));
            }).catch(obj.fail);
        }

    }

}